;Citroen DS3 R1, texture modification and gauge implementation by PeterB/Cubits

[Main]
Texture=Citroen_DS3_R1_internal.dds
Author=PeterB/Cubits

[DirtyRegionScreen]
Type=DirtyRegion
Left=1432
Top=3440
Right=1764
Bottom=3577
[DirtyRegionMiddle]
Type=DirtyRegion
Left=16
Top=3024
Right=342
Bottom=3158
[DirtyRegionCoDriver]
Type=DirtyRegion
Left=1870
Top=3709
Right=2283
Bottom=3982
[DirtyRegionRevLights]
Type=DirtyRegion
Left=817
Top=3901
Right=893
Bottom=3909

[CoolantTemp]
Type=Number
Data=CoolantTemperatureC
Format=Decimal1
NumberJustification=Right
xPos=1601
yPos=3497
Font=Static-Font\Numbers_WAT_OIL.png

[OilPress]
Type=Number
xPos=1601
yPos=3522
Data=OilPressureBar
Format=Decimal1
NumberJustification=Right
Font=Static-Font\Numbers_WAT_OIL.png

[Gears]
Type=Gears
xPos=1680
yPos=3483
GearR=Gears\R.png
GearN=Gears\N.png
Gear1=Gears\1.png
Gear2=Gears\2.png
Gear3=Gears\3.png
Gear4=Gears\4.png
Gear5=Gears\5.png

[RPMNumber]
Type=Number
xPos=1675
yPos=3509
NumberJustification=Right
Data=RPM
Format=Whole
Font=Static-Font\Numbers_Tachometer.png

;RPM200-7000
[200]
Type=Simple
Data=RPM
Threshold=200
xPos=1435
yPos=3549
Texture=RPM\Bar_Green.png
[400]
Type=Simple
Data=RPM
Threshold=400
xPos=1440
yPos=3524
Texture=RPM\Bar_Green.png
[600]
Type=Simple
Data=RPM
Threshold=600
xPos=1445
yPos=3509
Texture=RPM\Bar_Green.png
[800]
Type=Simple
Data=RPM
Threshold=800
xPos=1450
yPos=3498
Texture=RPM\Bar_Green.png
[1000]
Type=Simple
Data=RPM
Threshold=1000
xPos=1455
yPos=3492
Texture=RPM\Bar_Green.png
[1100]
Type=Simple
Data=RPM
Threshold=1100
xPos=1460
yPos=3486
Texture=RPM\Bar_Green.png
[1200]
Type=Simple
Data=RPM
Threshold=1200
xPos=1465
yPos=3481
Texture=RPM\Bar_Green.png
[1300]
Type=Simple
Data=RPM
Threshold=1300
xPos=1470
yPos=3476
Texture=RPM\Bar_Green.png
[1400]
Type=Simple
Data=RPM
Threshold=1400
xPos=1475
yPos=3471
Texture=RPM\Bar_Green.png
[1500]
Type=Simple
Data=RPM
Threshold=1500
xPos=1480
yPos=3467
Texture=RPM\Bar_Green.png
[1600]
Type=Simple
Data=RPM
Threshold=1600
xPos=1485
yPos=3464
Texture=RPM\Bar_Green.png
[1700]
Type=Simple
Data=RPM
Threshold=1700
xPos=1490
yPos=3461
Texture=RPM\Bar_Green.png
[1800]
Type=Simple
Data=RPM
Threshold=1800
xPos=1495
yPos=3459
Texture=RPM\Bar_Green.png
[1900]
Type=Simple
Data=RPM
Threshold=1900
xPos=1500
yPos=3458
Texture=RPM\Bar_Green.png
[2000]
Type=Simple
Data=RPM
Threshold=2000
xPos=1505
yPos=3457
Texture=RPM\Bar_Green.png
[2100]
Type=Simple
Data=RPM
Threshold=2100
xPos=1510
yPos=3456
Texture=RPM\Bar_Green.png
[2200]
Type=Simple
Data=RPM
Threshold=2200
xPos=1515
yPos=3456
Texture=RPM\Bar_Green.png
[2300]
Type=Simple
Data=RPM
Threshold=2300
xPos=1520
yPos=3456
Texture=RPM\Bar_Green.png
[2400]
Type=Simple
Data=RPM
Threshold=2400
xPos=1525
yPos=3456
Texture=RPM\Bar_Green.png
[2500]
Type=Simple
Data=RPM
Threshold=2500
xPos=1530
yPos=3456
Texture=RPM\Bar_Green.png
[2600]
Type=Simple
Data=RPM
Threshold=2600
xPos=1535
yPos=3456
Texture=RPM\Bar_Green.png
[2700]
Type=Simple
Data=RPM
Threshold=2700
xPos=1540
yPos=3456
Texture=RPM\Bar_Green.png
[2800]
Type=Simple
Data=RPM
Threshold=2800
xPos=1545
yPos=3456
Texture=RPM\Bar_Green.png
[2900]
Type=Simple
Data=RPM
Threshold=2900
xPos=1550
yPos=3456
Texture=RPM\Bar_Green.png
[3000]
Type=Simple
Data=RPM
Threshold=3000
xPos=1555
yPos=3456
Texture=RPM\Bar_Green.png
[3100]
Type=Simple
Data=RPM
Threshold=3100
xPos=1560
yPos=3456
Texture=RPM\Bar_Green.png
[3200]
Type=Simple
Data=RPM
Threshold=3200
xPos=1565
yPos=3456
Texture=RPM\Bar_Green.png
[3300]
Type=Simple
Data=RPM
Threshold=3300
xPos=1570
yPos=3456
Texture=RPM\Bar_Green.png
[3400]
Type=Simple
Data=RPM
Threshold=3400
xPos=1575
yPos=3456
Texture=RPM\Bar_Green.png
[3500]
Type=Simple
Data=RPM
Threshold=3500
xPos=1580
yPos=3456
Texture=RPM\Bar_Green.png
[3600]
Type=Simple
Data=RPM
Threshold=3600
xPos=1585
yPos=3456
Texture=RPM\Bar_Green.png
[3700]
Type=Simple
Data=RPM
Threshold=3700
xPos=1590
yPos=3456
Texture=RPM\Bar_Green.png
[3800]
Type=Simple
Data=RPM
Threshold=3800
xPos=1595
yPos=3456
Texture=RPM\Bar_Green.png
[3900]
Type=Simple
Data=RPM
Threshold=3900
xPos=1600
yPos=3456
Texture=RPM\Bar_Green.png
[4000]
Type=Simple
Data=RPM
Threshold=4000
xPos=1605
yPos=3456
Texture=RPM\Bar_Green.png
[4100]
Type=Simple
Data=RPM
Threshold=4100
xPos=1610
yPos=3456
Texture=RPM\Bar_Green.png
[4200]
Type=Simple
Data=RPM
Threshold=4200
xPos=1615
yPos=3456
Texture=RPM\Bar_Green.png
[4300]
Type=Simple
Data=RPM
Threshold=4300
xPos=1620
yPos=3456
Texture=RPM\Bar_Green.png
[4400]
Type=Simple
Data=RPM
Threshold=4400
xPos=1625
yPos=3456
Texture=RPM\Bar_Green.png
[4500]
Type=Simple
Data=RPM
Threshold=4500
xPos=1630
yPos=3456
Texture=RPM\Bar_Green.png
[4600]
Type=Simple
Data=RPM
Threshold=4600
xPos=1635
yPos=3456
Texture=RPM\Bar_Green.png
[4700]
Type=Simple
Data=RPM
Threshold=4700
xPos=1640
yPos=3456
Texture=RPM\Bar_Green.png
[4800]
Type=Simple
Data=RPM
Threshold=4800
xPos=1645
yPos=3456
Texture=RPM\Bar_Green.png
[4900]
Type=Simple
Data=RPM
Threshold=4900
xPos=1650
yPos=3456
Texture=RPM\Bar_Green.png
[5000]
Type=Simple
Data=RPM
Threshold=5000
xPos=1655
yPos=3456
Texture=RPM\Bar_Green.png
[5100]
Type=Simple
Data=RPM
Threshold=5100
xPos=1660
yPos=3456
Texture=RPM\Bar_Green.png
[5200]
Type=Simple
Data=RPM
Threshold=5200
xPos=1665
yPos=3456
Texture=RPM\Bar_Green.png
[5300]
Type=Simple
Data=RPM
Threshold=5300
xPos=1670
yPos=3456
Texture=RPM\Bar_Green.png
[5400]
Type=Simple
Data=RPM
Threshold=5400
xPos=1675
yPos=3456
Texture=RPM\Bar_Green.png
[5500]
Type=Simple
Data=RPM
Threshold=5500
xPos=1680
yPos=3456
Texture=RPM\Bar_Yellow.png
[5600]
Type=Simple
Data=RPM
Threshold=5600
xPos=1685
yPos=3456
Texture=RPM\Bar_Yellow.png
[5700]
Type=Simple
Data=RPM
Threshold=5700
xPos=1690
yPos=3456
Texture=RPM\Bar_Yellow.png
[5800]
Type=Simple
Data=RPM
Threshold=5800
xPos=1695
yPos=3456
Texture=RPM\Bar_Yellow.png
[5900]
Type=Simple
Data=RPM
Threshold=5900
xPos=1700
yPos=3456
Texture=RPM\Bar_Yellow.png
[6000]
Type=Simple
Data=RPM
Threshold=6000
xPos=1705
yPos=3456
Texture=RPM\Bar_Yellow.png
[6100]
Type=Simple
Data=RPM
Threshold=6100
xPos=1710
yPos=3456
Texture=RPM\Bar_Red.png
[6200]
Type=Simple
Data=RPM
Threshold=6200
xPos=1715
yPos=3456
Texture=RPM\Bar_Red.png
[6300]
Type=Simple
Data=RPM
Threshold=6300
xPos=1720
yPos=3456
Texture=RPM\Bar_Red.png
[6400]
Type=Simple
Data=RPM
Threshold=6400
xPos=1725
yPos=3456
Texture=RPM\Bar_Red.png
[6500]
Type=Simple
Data=RPM
Threshold=6500
xPos=1730
yPos=3456
Texture=RPM\Bar_Red.png
[6600]
Type=Simple
Data=RPM
Threshold=6600
xPos=1735
yPos=3456
Texture=RPM\Bar_Red.png
[6700]
Type=Simple
Data=RPM
Threshold=6700
xPos=1740
yPos=3456
Texture=RPM\Bar_Red.png
[6800]
Type=Simple
Data=RPM
Threshold=6800
xPos=1745
yPos=3456
Texture=RPM\Bar_Red.png
[6900]
Type=Simple
Data=RPM
Threshold=6900
xPos=1750
yPos=3456
Texture=RPM\Bar_Red.png
[7000]
Type=Simple
Data=RPM
Threshold=7000
xPos=1755
yPos=3456
Texture=RPM\Bar_Red.png

[ScreenOff]
Type=Simple
Data=EngineOff
xPos=1431
yPos=3438
Texture=Static-Font\ScreenOff.png

#Coloured Lights`````````````````````````````````````````````````````````````````````````````````````

[ColShift1]
Type=Simple
Data=RPM
Threshold=4800
xPos=835
yPos=3901
Texture=shift_light.png
Colour=FF00FF00
Effect=ShiftBlink
[ColShift2]
Type=Simple
Data=RPM
Threshold=5100
xPos=842
yPos=3901
Texture=shift_light.png
Colour=FF00FF00
[ColShift3]
Type=Simple
Data=RPM
Threshold=5400
xPos=850
yPos=3901
Texture=shift_light.png
Colour=FF00FF00
[ColShift4]
Type=Simple
Data=RPM
Threshold=5700
xPos=857
yPos=3901
Texture=shift_light.png
Colour=FF00FF00
[ColShift5]
Type=Simple
Data=RPM
Threshold=6000
xPos=865
yPos=3901
Texture=shift_light.png
Colour=FFFF0000
[ColShift6]
Type=Simple
Data=RPM
Threshold=6300
xPos=872
yPos=3901
Texture=shift_light.png
Colour=FFFF0000

#Warning Lights`````````````````````````````````````````````````````````````````````````````````````

[SlowBlink]
Type=Effect
EffectType=Blink
Data=CoolantTemperatureWarning
BlinkSpeed=350
[WaterWarning]
Type=Simple
Data=CoolantTemperatureWarning
xPos=819
yPos=3904
Texture=shift_light.png
Colour=FF0044FF
Effect=SlowBlink
[OilWarning]
Type=Simple
Data=OilTemperatureWarning
xPos=888
yPos=3904
Texture=shift_light.png
Colour=FF0044FF
Effect=SlowBlink


#Middle Screen ~~~~~~~~~~~~~~~~~~~~~

[MidSpeedKPH]
Type=Number
xPos=153
yPos=3092
Data=SpeedKPH
NumberJustification=Right
Font=Static-Font\Numbers_White_Speed_Chrono.png

[MidCoolantTemp]
Type=Number
Data=CoolantTemperatureC
Format=Whole
NumberJustification=Right
xPos=100
yPos=3038
Font=Static-Font\Numbers_White_Gauges.png

[MidRadiatorTemp]
Type=Number
Data=RadiatorCoolantTemperatureC
Format=Whole
NumberJustification=Right
xPos=100
yPos=3052
Font=Static-Font\Numbers_White_Gauges.png

[MidOilTemp]
Type=Number
xPos=100
yPos=3067
Data=OilTemperatureC
Format=Whole
NumberJustification=Right
Font=Static-Font\Numbers_White_Gauges.png

[MidOilPressure]
Type=Number
xPos=73
yPos=3082
Data=OilPressureBar
Format=Decimal1
Font=Static-Font\Numbers_White_Gauges.png

[MidVoltage]
Type=Number
xPos=64
yPos=3096
Data=BatteryVoltage
Format=Decimal1
Font=Static-Font\Numbers_White_Gauges.png

[MidTrip2]
Type=Number
xPos=315
yPos=3042
Data=DistanceToFinish
Format=Decimal2
NumberJustification=Right
Font=Static-Font\Numbers_White_Trip.png

[MidChrono]
Type=Number
Data=RaceTime
Format=TimeMinSecMs
xPos=220
yPos=3126
Font=Static-Font\Numbers_White_Speed_Chrono.png

[MidScreenOff]
Type=Simple
Data=EngineOff
xPos=16
yPos=3024
Texture=Static-Font\ScreenOff_Mid.png

#Co-Driver Screen ~~~~~~~~~~~~~~~~~~~~~

[CDSpeedKPH]
Type=Number
xPos=2045
yPos=3859
Data=SpeedKPH
NumberJustification=Right
Font=Static-Font\Numbers_Speed.png

[CDCoolantTemp]
Type=Number
Data=CoolantTemperatureC
Format=Whole
NumberJustification=Right
xPos=1976
yPos=3740
Font=Static-Font\Numbers_Eau_Binj.png

[CDRadiatorTemp]
Type=Number
Data=RadiatorCoolantTemperatureC
Format=Whole
NumberJustification=Right
xPos=1976
yPos=3766
Font=Static-Font\Numbers_T2_POil.png

[CDOilTemp]
Type=Number
xPos=1976
yPos=3792
Data=OilTemperatureC
Format=Whole
NumberJustification=Right
Font=Static-Font\Numbers_TOil_Time.png

[CDOilPressure]
Type=Number
xPos=1938
yPos=3818
Data=OilPressureBar
Format=Decimal1
Font=Static-Font\Numbers_T2_POil.png

[CDVoltage]
Type=Number
xPos=1925
yPos=3844
Data=BatteryVoltage
Format=Decimal1
Font=Static-Font\Numbers_Eau_Binj.png

[CDTrip1]
Type=Number
xPos=2265
yPos=3736
Data=DistanceDriven
Format=Decimal2
NumberJustification=Right
Font=Static-Font\Numbers_Trip1.png

[CDTrip2]
Type=Number
xPos=2265
yPos=3782
Data=DistanceToFinish
Format=Decimal2
NumberJustification=Right
Font=Static-Font\Numbers_Trip2.png

[CDChrono]
Type=Number
Data=RaceTime
Format=TimeMinSecMs
xPos=2120
yPos=3912
Font=Static-Font\Numbers_Chrono.png

[CDTime]
Type=Number
Data=SystemTime
Format=TimeHoursMinSec
xPos=2167
yPos=3946
Font=Static-Font\Numbers_TOil_Time.png

[CDScreenOff]
Type=Simple
Data=EngineOff
xPos=1870
yPos=3709
Texture=Static-Font\ScreenOff_CD.png
